play.db

## Class DBBrowserPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.db.DBBrowserPlugin

All Implemented Interfaces:
  java.lang.Comparable<PlayPlugin>

    public class DBBrowserPlugin
    extends PlayPlugin

### Nested Class Summary

### Nested classes/interfaces inherited from class play.PlayPlugin

`PlayPlugin.Filter<T>`

### Field Summary

### Fields inherited from class play.PlayPlugin

`index`

### Constructor Summary

Constructors
Constructor and Description
`DBBrowserPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onConfigurationRead()` Called when the application.conf has been read.
`boolean` `rawInvocation(Http.Request request, Http.Response response)` Give a chance to this plugin to fully manage this request

### Methods inherited from class play.PlayPlugin

`addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeActionInvocation, beforeDetectingChanges, beforeInvocation, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectChange, detectClassesChange, enhance, getFilter, getFunctionalTests, getJsonStatus, getMessage, getStatus, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onApplicationStart, onApplicationStop, onClassesChange, onEvent, onInvocationException, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, routeRequest, runTest, serveStatic, unBind, willBeValidated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DBBrowserPlugin

    public DBBrowserPlugin()

### Method Detail

#### onConfigurationRead

    public void onConfigurationRead()

Description copied from class: `PlayPlugin`
Called when the application.conf has been read.

Overrides:
  `onConfigurationRead` in class `PlayPlugin`

#### rawInvocation

    public boolean rawInvocation(Http.Request request,
                                 Http.Response response)
                          throws java.lang.Exception

Description copied from class: `PlayPlugin`
Give a chance to this plugin to fully manage this request

Overrides:
  `rawInvocation` in class `PlayPlugin`
Parameters:
  `request` - The Play request
  `response` - The Play response
Returns:
  true if this plugin has managed this request
Throws:
  `java.lang.Exception` - if cannot enhance the class